BusinessMan = GameObject:new()

-- Derived class method new
function BusinessMan:new (o,side)
o = o or GameObject:new(o,side)
setmetatable(o, self)
self.__index = self
self.counterTest = 0;
return o
end

function BusinessMan:scare (ID,amount)
print("I'm a scary BuisnessMan")
end

function BusinessMan:think()

end

function BusinessMan:possess()
changeAnimationState(PROP_ACTIVE,self.ID)
end

Object_Dictionary[JSON_INDEX_OBJECT]=BusinessMan




Object_Dictionary[JSON_INDEX_OBJECT]=BusinessMan:new();